---
title: Photos
slug: serpwow/search-api/searches/google/place-photos
docTags: 
createdAt: 2024-08-05T14:13:33.939Z
---

# Google Place Photos Parameters

<font color="#52c41a">`GET`</font>  `/search?engine=google&search_type=place_photos`

The Google Place Photos Parameters are applicable when making a request with  `search_type=place_photos`  to retrieve place photos for a Place. The Place is specified in the  `data_id`  parameter,  `data_id`  values are returned from  `search_type=places`  [Places requests](https://docs.trajectdata.com/serpwow/search-api/searches/google/places).

:::hint{type="info"}
**Place Photo Category IDs**
If shown, a  `search_type=place_photos`  will return a  `categories`  array containing photo categories. You can pass a place photos category ID in to the optional  `category_id`  parameter to refine your place photos request to just photos belonging to that category.
:::

:::hint{type="info"}
**Place Photos Pagination**
Place Photo results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each  `search_type=place_photos`  result will return a  `next_page_token`  in its'  `pagination`  object. This  `next_page_token`  can be passed in to the  `next_page_token`  request parameter to retrieve the next page of place photo results.
:::

![search\_type=place\_photos](https://api.archbee.com/api/optimize/_2H-bV01Fa8fCx9qd5d88/YUSJDPx0IHs8bIG77Witz-20260401-194449.png "Google Place Photos Result")

For example, to request place photo results for the data\_id  `0x89c259cea3b62d4d:0x4519bf551f37923f` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.serpwow.com/live/search?api_key=demo&search_type=place_photos&data_id=0x89c259cea3b62d4d:0x4519bf551f37923f
```

```curl
curl -L --get https://api.serpwow.com/live/search \
-d api_key="demo" \
-d search_type="place_photos" \
-d data_id="0x89c259cea3b62d4d:0x4519bf551f37923f"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  search_type: "place_photos",
  data_id: "0x89c259cea3b62d4d:0x4519bf551f37923f"
}

// make the http GET request
axios.get('https://api.serpwow.com/live"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'search_type': 'place_photos',
  'data_id': '0x89c259cea3b62d4d:0x4519bf551f37923f'
}

# make the http GET request
api_result = requests.get('https://api.serpwow.com/live/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'search_type' => 'place_photos',
  'data_id' => '0x89c259cea3b62d4d:0x4519bf551f37923f'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.serpwow.com/live/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google Place Photos Parameters

The following parameters are available for all requests made when  `search_type=place_photos` .

| `Parameter`              | `Required` | `Description`                                                                                                                                                                                                                                                                                                                                                                   |
| ------------------------ | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `engine`                 | `required` | Should be set to `engine=google` .                                                                                                                                                                                                                                                                                                                                              |
| `search_type`            | `required` | Should be set to `search_type=place_photos` .                                                                                                                                                                                                                                                                                                                                   |
| `data_id`                | `required` | The `data_id` of the Place to retrieve place photos for. `data_id` values are returned in [Places requests ](https://docs.trajectdata.com/serpwow/search-api/searches/google/places).                                                                                                                                                                                           |
| `category_id`            | `optional` | An optional category ID to limit the returned photos to just those belonging to the given category. `category_id` values, if shown for the given `data_id` , are returned in the `categories` array in all `search_type=place_photos` results.                                                                                                                                  |
| `include_photos_count`   | `optional` | Includes the estimated number of photos in the photos section of the places knowledge panel. If set to true, then **1 additional credit is charged.**                                                                                                                                                                                                                           |
| `include_photo_metadata` | `optional` | Includes `type`, `author_name`, `author_avatar_url`, `author_profile_url`, `relative_date` and `caption` for each photo in the results. If set to true, then **1 additional credit is charged.**                                                                                                                                                                                |
| `hl`                     | `optional` | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/serpwow/search-api/reference/google-languages). Defaults to `en` .                                                                                                                                                     |
| `next_page_token`        | `optional` | Place Photo results do not contain a traditional pagination section where a specific page of results is uniquely addressable. Instead, each `search_type=place_photos` result will return a `next_page_token` in its' `pagination` object. This `next_page_token` can be passed in to the `next_page_token` request parameter to retrieve the next page of place photo results. |

***

**Next Steps**
     [Google Place Photos Results](https://docs.trajectdata.com/serpwow/search-api/results/google/place-photos)
